# BBS.ピケ.コム

this is a silly little BBS page I've thrown together out of a desite to have something I can use to get images from *practically anything* to a modern computer. it's designed as an imageboard in the style of [ふたは☆チャンネル](https://2chan.net)/[4chan](https://4channel.org), since I find that structure is remakably practical while being so minimalist you don't even need names to follow a conversation.

## hosting
1. install:
   - PHP (I use 7.3.31)
   - PostgreSQL (I use 11.14)
   - ffmpeg (I use 4.1.8)
   - exiftool (I use 11.16)
2. clone this repo, `git clone https://git.xn--rck9c.xn--tckwe/pk11/bbs.git`
2. copy `vars.php.example` to `vars.php`
3. edit `vars.php` as explained in the file
   - ensure that your `image` and `thumb` folders exist
4. create the following table in the configured database:
   ```sql
   CREATE TABLE posts (
       post_id INT GENERATED ALWAYS AS IDENTITY PRIMARY KEY,
       post_time TIMESTAMPTZ NOT NULL DEFAULT NOW(),
       user_id VARCHAR(40),
       name VARCHAR(256),
       trip VARCHAR(10),
       email VARCHAR(256),
       comment VARCHAR(2048),
       img VARCHAR(256)
   );
   ```
